# Functor Applicative.Const

    module Const: functor (Monoid : sig
    type t

    val zero : t
    val plus : t -> t -> t
    Laws: plus is associative and zero is both a left and right unit for plus

    end) -> S  with type 'a t = Monoid.t

Every monoid gives rise to a constant Applicative.

Parameters:

`Monoid` | : | `sig type t val zero : t val plus : t -> t -> t (** Laws: [plus] is associative and [zero] is both a left and right unit for [plus] *) end`